Subject: Re: [sieve] Sieve :fcc option

From: Ken Murchison <[email-masked]>
Date: Tue, 25 Apr 2017 14:17:26 -0400

Hi Ned,

On 01/17/2017 11:42 AM, Ned Freed wrote:
>> A vendor that uses Cyrus IMAP has some customers that would like to have
>> copies of outgoing Sieve-generated messages (e.g. reject, vacation)
>> stored in their Sent mailbox.  We could obviously do this with a user
>> configurable option, but I was thinking of extending Sieve to support a
>> :fcc <mailbox> option on reject, vacation and any new actions where it
>> might apply.  The option could also leverage
>> draft-bosch-sieve-special-use to do something like :fcc "\\Sent"
>
> I see no problem for notify or vacation, but there's a serious 
> semantics issue
> with reject - when you reject a message you are saying, "I didn't 
> receive" this
> message". If you implement an action where you do in fact receive the 
> message,
> albeit as a part of a DSN, you're essentially lying about what you did.

Would you object to allowing :fcc with reject only (and not with 
ereject), which sends MDNs, and presumably is post-delivery?  Or would 
you still have the same concerns?

-- 
Kenneth Murchison
Principal Systems Software Engineer
Carnegie Mellon University